Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.environment.grid
Class Area

    java.lang.Object
      jason.environment.grid.Area

All Implemented Interfaces:
  java.io.Serializable

    public final class Area

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`Location` | `br`
`Location` | `tl`

Constructor Summary
`Area(int topLeftX, int topLeftY, int bottonRightX, int bottonRightY)`
`Area(Location topLeft, Location bottonRight)`

Method Summary
`Location` | `center()`
`int` | `chebyshevDistanceToBorder(Location l)` returns the minimal distance from l to the border of the area
`java.lang.Object` | `clone()`
`boolean` | `contains(Location l)`
`int` | `distanceMaxBorder(Location l)` Deprecated. renamed to chebyshevDistanceToBorder
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### tl

    public final Location tl

### br

    public final Location br

Constructor Detail

### Area

    public Area(int topLeftX,
                int topLeftY,
                int bottonRightX,
                int bottonRightY)

### Area

    public Area(Location topLeft,
                Location bottonRight)

Method Detail

### contains

    public boolean contains(Location l)

### center

    public Location center()

### distanceMaxBorder

    public int distanceMaxBorder(Location l)

  Deprecated. renamed to chebyshevDistanceToBorder

### chebyshevDistanceToBorder

    public int chebyshevDistanceToBorder(Location l)

  returns the minimal distance from l to the border of the area

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD